Summary:       Free Music Instrument Tuner
Name:          fmit
Version:       0.99.2
Release:       4%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://home.gna.org/fmit/index.html
Source0:       http://download.gna.org/fmit/%{name}-%{version}-Source.tar.bz2

BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: freeglut-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: fftw3-devel
BuildRequires: alsa-lib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: portaudio-devel
BuildRequires: desktop-file-utils

%global the_icon_file %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%description
%{name} is a graphical utility for tuning musical instruments, with
error and volume history and advanced features like waveform shape,
harmonics ratio (formants), and micro-tonal tuning.

%prep
%setup -q -n %{name}-%{version}-Source
sed -i 's#\(.*\)Name=.*#\1Name=Music Instrument Tuner#g' %{name}.desktop
sed -i 's#^Comment=.*#Comment=Tunes music instruments#g' %{name}.desktop
# Otherwise an icon is not visible in the menu (at least in GNOME).
sed -i 's#^Icon=.*#Icon=%{the_icon_file}#g' %{name}.desktop

%build
%cmake -DSOUNDSYSTEM_USE_PORTAUDIO=ON
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-qt --without-mo

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog TODO README.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/tr
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{the_icon_file}

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.2-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jan 27 2011 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.99.2-1
- update to the 0.99.2 version,
- drop patches now upstream,
- translation's files installation enabled.

* Mon Jan 17 2011 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-4
- preserve the timestamp of the icon file.

* Wed Dec 30 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-3
- build process does not depend on the BUILD_SHARED_LIBS variable.

* Mon Dec 28 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-2
- build corrected.
- translation's files installation disabled until fixed upstream.

* Mon Dec 28 2010 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.98.1-1
- initial RPM release.
